<template>
	<view>
		<seal @finish="finish"></seal>
	</view>
</template>

<script>
	
	import seal from '@/components/uni-seal/seal.vue'
	export default {
		data(){
			return {
				path: ''
			}
		},
		onLoad(options){
			this.path = options.path
		},
		components:{seal},
		methods: {
			finish(e){
				const data = JSON.parse(e.data)
				// navigateTo
				// uni.navigateTo({
				// 	url: `/pageMy/setUserBase/seal/setSealPassword?src=${data.data.link}&path=${this.path}`
				// })
				uni.redirectTo({
					url: `/pageMy/setUserBase/seal/setSealPassword?src=${data.data.link}&path=${this.path}`
				})
			}
		}
	}
</script>

<style>
</style>
